org.richfaces.taglib

## Class InplaceSelectTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.InplaceSelectTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class InplaceSelectTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InplaceSelectTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setCancelControlIcon(javax.el.ValueExpression __cancelControlIcon)` Defines custom cancel icon Setter for cancelControlIcon
    `void` | `setChangedClass(javax.el.ValueExpression __changedClass)` CSS style class for changed state Setter for changedClass
    `void` | `setControlClass(javax.el.ValueExpression __controlClass)` CSS style class for controls Setter for controlClass
    `void` | `setControlHoverClass(javax.el.ValueExpression __controlHoverClass)` CSS style class for hovered control Setter for controlHoverClass
    `void` | `setControlPressClass(javax.el.ValueExpression __controlPressClass)` CSS style class for controls pressed Setter for controlPressClass
    `void` | `setControlsHorizontalPosition(javax.el.ValueExpression __controlsHorizontalPosition)` The attribute positions the controls horizontally.
    `void` | `setControlsVerticalPosition(javax.el.ValueExpression __controlsVerticalPosition)` The attribute positions the controls vertically.
    `void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
    `void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
    `void` | `setDefaultLabel(javax.el.ValueExpression __defaultLabel)` The attribute is used to display text while value is undefined Setter for defaultLabel
    `void` | `setEditClass(javax.el.ValueExpression __editClass)` CSS style class for edit state Setter for editClass
    `void` | `setEditEvent(javax.el.ValueExpression __editEvent)` The attribute provides an option to assign an JavaScript action that initiates the change of the state.
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
    `void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
    `void` | `setLayout(javax.el.ValueExpression __layout)` Defines how the component is displayed in the layout.
    `void` | `setListHeight(javax.el.ValueExpression __listHeight)` The attribute defines the height of option list.
    `void` | `setListWidth(javax.el.ValueExpression __listWidth)` The attribute defines the width of option list.
    `void` | `setMaxSelectWidth(javax.el.ValueExpression __maxSelectWidth)` Sets the maximum width of the select element.
    `void` | `setMinSelectWidth(javax.el.ValueExpression __minSelectWidth)` Sets the minimum width of the select element.
    `void` | `setOnblur(javax.el.ValueExpression __onblur)` HTML: script expression; the element lost the focus Setter for onblur
    `void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; the element value was changed Setter for onchange
    `void` | `setOneditactivated(javax.el.ValueExpression __oneditactivated)` HTML: script expression; edit state is activated Setter for oneditactivated
    `void` | `setOneditactivation(javax.el.ValueExpression __oneditactivation)` The attributes provide a possibility to assign JavaScript on edit state activation Setter for oneditactivation
    `void` | `setOnfocus(javax.el.ValueExpression __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
    `void` | `setOninputblur(javax.el.ValueExpression __oninputblur)` HTML: script expression; the element lost the focus Setter for oninputblur
    `void` | `setOninputclick(javax.el.ValueExpression __oninputclick)` HTML: a script expression; a pointer button is clicked Setter for oninputclick
    `void` | `setOninputdblclick(javax.el.ValueExpression __oninputdblclick)` HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
    `void` | `setOninputfocus(javax.el.ValueExpression __oninputfocus)` HTML: script expression; the element got the focus Setter for oninputfocus
    `void` | `setOninputkeydown(javax.el.ValueExpression __oninputkeydown)` HTML: a script expression; a key is pressed down Setter for oninputkeydown
    `void` | `setOninputkeypress(javax.el.ValueExpression __oninputkeypress)` HTML: a script expression; a key is pressed and released Setter for oninputkeypress
    `void` | `setOninputkeyup(javax.el.ValueExpression __oninputkeyup)` HTML: a script expression; a key is released Setter for oninputkeyup
    `void` | `setOninputmousedown(javax.el.ValueExpression __oninputmousedown)` HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
    `void` | `setOninputmousemove(javax.el.ValueExpression __oninputmousemove)` HTML: a script expression; a pointer is moved within Setter for oninputmousemove
    `void` | `setOninputmouseout(javax.el.ValueExpression __oninputmouseout)` HTML: a script expression; a pointer is moved away Setter for oninputmouseout
    `void` | `setOninputmouseover(javax.el.ValueExpression __oninputmouseover)` HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
    `void` | `setOninputmouseup(javax.el.ValueExpression __oninputmouseup)` HTML: script expression; a pointer button is released Setter for oninputmouseup
    `void` | `setOnselect(javax.el.ValueExpression __onselect)` HTML: script expression; the onselect event occurs when you select some menu item Setter for onselect
    `void` | `setOnviewactivated(javax.el.ValueExpression __onviewactivated)` HTML: script expression; view state is activated Setter for onviewactivated
    `void` | `setOnviewactivation(javax.el.ValueExpression __onviewactivation)` The attributes provide a possibility to assign JavaScript on view state activation Setter for onviewactivation
    `void` | `setOpenOnEdit(javax.el.ValueExpression __openOnEdit)` The attribute opens the list once edit activated.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
    `void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
    `void` | `setSaveControlIcon(javax.el.ValueExpression __saveControlIcon)` Defines custom save icon Setter for saveControlIcon
    `void` | `setSelectWidth(javax.el.ValueExpression __selectWidth)` Sets width of the select element Setter for selectWidth
    `void` | `setShowControls(javax.el.ValueExpression __showControls)` The attribute serves to display "save" and "cancel" controls.
    `void` | `setShowValueInView(javax.el.ValueExpression __showValueInView)` If "true", shows the SelectItem labels in the InplaceSelect pull-down list, but displays the value in the field in view mode once an item is selected.
    `void` | `setTabindex(javax.el.ValueExpression __tabindex)` The attribute serves to define the tabbing order Setter for tabindex
    `void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
    `void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
    `void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
    `void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
    `void` | `setViewClass(javax.el.ValueExpression __viewClass)` Style class for view state Setter for viewClass
    `void` | `setViewHoverClass(javax.el.ValueExpression __viewHoverClass)` CSS style class for hovered text in view state Setter for viewHoverClass

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### InplaceSelectTag

          public InplaceSelectTag()

  - ### Method Detail

    - #### setCancelControlIcon

          public void setCancelControlIcon(javax.el.ValueExpression __cancelControlIcon)

      Defines custom cancel icon Setter for cancelControlIcon
      Parameters:
        `cancelControlIcon` - - new value

    - #### setChangedClass

          public void setChangedClass(javax.el.ValueExpression __changedClass)

      CSS style class for changed state Setter for changedClass
      Parameters:
        `changedClass` - - new value

    - #### setControlClass

          public void setControlClass(javax.el.ValueExpression __controlClass)

      CSS style class for controls Setter for controlClass
      Parameters:
        `controlClass` - - new value

    - #### setControlHoverClass

          public void setControlHoverClass(javax.el.ValueExpression __controlHoverClass)

      CSS style class for hovered control Setter for controlHoverClass
      Parameters:
        `controlHoverClass` - - new value

    - #### setControlPressClass

          public void setControlPressClass(javax.el.ValueExpression __controlPressClass)

      CSS style class for controls pressed Setter for controlPressClass
      Parameters:
        `controlPressClass` - - new value

    - #### setControlsHorizontalPosition

          public void setControlsHorizontalPosition(javax.el.ValueExpression __controlsHorizontalPosition)

      The attribute positions the controls horizontally. Possible values are "right","center","left". Default value is "right". Setter for controlsHorizontalPosition
      Parameters:
        `controlsHorizontalPosition` - - new value

    - #### setControlsVerticalPosition

          public void setControlsVerticalPosition(javax.el.ValueExpression __controlsVerticalPosition)

      The attribute positions the controls vertically. Possible values are "bottom","center" and "top". Default value is "center" Setter for controlsVerticalPosition
      Parameters:
        `controlsVerticalPosition` - - new value

    - #### setConverter

          public void setConverter(javax.el.ValueExpression __converter)

      Id of Converter to be used or reference to a Converter Setter for converter
      Parameters:
        `converter` - - new value

    - #### setConverterMessage

          public void setConverterMessage(javax.el.ValueExpression __converterMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
      Parameters:
        `converterMessage` - - new value

    - #### setDefaultLabel

          public void setDefaultLabel(javax.el.ValueExpression __defaultLabel)

      The attribute is used to display text while value is undefined Setter for defaultLabel
      Parameters:
        `defaultLabel` - - new value

    - #### setEditClass

          public void setEditClass(javax.el.ValueExpression __editClass)

      CSS style class for edit state Setter for editClass
      Parameters:
        `editClass` - - new value

    - #### setEditEvent

          public void setEditEvent(javax.el.ValueExpression __editEvent)

      The attribute provides an option to assign an JavaScript action that initiates the change of the state. Default value is "onclick". Setter for editEvent
      Parameters:
        `editEvent` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLabel

          public void setLabel(javax.el.ValueExpression __label)

      A localized user presentable name for this component. Setter for label
      Parameters:
        `label` - - new value

    - #### setLayout

          public void setLayout(javax.el.ValueExpression __layout)

      Defines how the component is displayed in the layout. Possible values are "block", "inline". Default value is "inline". Setter for layout
      Parameters:
        `layout` - - new value

    - #### setListHeight

          public void setListHeight(javax.el.ValueExpression __listHeight)

      The attribute defines the height of option list. Default value is "200px". Setter for listHeight
      Parameters:
        `listHeight` - - new value

    - #### setListWidth

          public void setListWidth(javax.el.ValueExpression __listWidth)

      The attribute defines the width of option list. Default value is "200px". Setter for listWidth
      Parameters:
        `listWidth` - - new value

    - #### setMaxSelectWidth

          public void setMaxSelectWidth(javax.el.ValueExpression __maxSelectWidth)

      Sets the maximum width of the select element. Default value is "200px". Setter for maxSelectWidth
      Parameters:
        `maxSelectWidth` - - new value

    - #### setMinSelectWidth

          public void setMinSelectWidth(javax.el.ValueExpression __minSelectWidth)

      Sets the minimum width of the select element. Default value is "100px". Setter for minSelectWidth
      Parameters:
        `minSelectWidth` - - new value

    - #### setOnblur

          public void setOnblur(javax.el.ValueExpression __onblur)

      HTML: script expression; the element lost the focus Setter for onblur
      Parameters:
        `onblur` - - new value

    - #### setOnchange

          public void setOnchange(javax.el.ValueExpression __onchange)

      HTML: script expression; the element value was changed Setter for onchange
      Parameters:
        `onchange` - - new value

    - #### setOneditactivated

          public void setOneditactivated(javax.el.ValueExpression __oneditactivated)

      HTML: script expression; edit state is activated Setter for oneditactivated
      Parameters:
        `oneditactivated` - - new value

    - #### setOneditactivation

          public void setOneditactivation(javax.el.ValueExpression __oneditactivation)

      The attributes provide a possibility to assign JavaScript on edit state activation Setter for oneditactivation
      Parameters:
        `oneditactivation` - - new value

    - #### setOnfocus

          public void setOnfocus(javax.el.ValueExpression __onfocus)

      HTML: script expression; the element got the focus Setter for onfocus
      Parameters:
        `onfocus` - - new value

    - #### setOninputblur

          public void setOninputblur(javax.el.ValueExpression __oninputblur)

      HTML: script expression; the element lost the focus Setter for oninputblur
      Parameters:
        `oninputblur` - - new value

    - #### setOninputclick

          public void setOninputclick(javax.el.ValueExpression __oninputclick)

      HTML: a script expression; a pointer button is clicked Setter for oninputclick
      Parameters:
        `oninputclick` - - new value

    - #### setOninputdblclick

          public void setOninputdblclick(javax.el.ValueExpression __oninputdblclick)

      HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
      Parameters:
        `oninputdblclick` - - new value

    - #### setOninputfocus

          public void setOninputfocus(javax.el.ValueExpression __oninputfocus)

      HTML: script expression; the element got the focus Setter for oninputfocus
      Parameters:
        `oninputfocus` - - new value

    - #### setOninputkeydown

          public void setOninputkeydown(javax.el.ValueExpression __oninputkeydown)

      HTML: a script expression; a key is pressed down Setter for oninputkeydown
      Parameters:
        `oninputkeydown` - - new value

    - #### setOninputkeypress

          public void setOninputkeypress(javax.el.ValueExpression __oninputkeypress)

      HTML: a script expression; a key is pressed and released Setter for oninputkeypress
      Parameters:
        `oninputkeypress` - - new value

    - #### setOninputkeyup

          public void setOninputkeyup(javax.el.ValueExpression __oninputkeyup)

      HTML: a script expression; a key is released Setter for oninputkeyup
      Parameters:
        `oninputkeyup` - - new value

    - #### setOninputmousedown

          public void setOninputmousedown(javax.el.ValueExpression __oninputmousedown)

      HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
      Parameters:
        `oninputmousedown` - - new value

    - #### setOninputmousemove

          public void setOninputmousemove(javax.el.ValueExpression __oninputmousemove)

      HTML: a script expression; a pointer is moved within Setter for oninputmousemove
      Parameters:
        `oninputmousemove` - - new value

    - #### setOninputmouseout

          public void setOninputmouseout(javax.el.ValueExpression __oninputmouseout)

      HTML: a script expression; a pointer is moved away Setter for oninputmouseout
      Parameters:
        `oninputmouseout` - - new value

    - #### setOninputmouseover

          public void setOninputmouseover(javax.el.ValueExpression __oninputmouseover)

      HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
      Parameters:
        `oninputmouseover` - - new value

    - #### setOninputmouseup

          public void setOninputmouseup(javax.el.ValueExpression __oninputmouseup)

      HTML: script expression; a pointer button is released Setter for oninputmouseup
      Parameters:
        `oninputmouseup` - - new value

    - #### setOnselect

          public void setOnselect(javax.el.ValueExpression __onselect)

      HTML: script expression; the onselect event occurs when you select some menu item Setter for onselect
      Parameters:
        `onselect` - - new value

    - #### setOnviewactivated

          public void setOnviewactivated(javax.el.ValueExpression __onviewactivated)

      HTML: script expression; view state is activated Setter for onviewactivated
      Parameters:
        `onviewactivated` - - new value

    - #### setOnviewactivation

          public void setOnviewactivation(javax.el.ValueExpression __onviewactivation)

      The attributes provide a possibility to assign JavaScript on view state activation Setter for onviewactivation
      Parameters:
        `onviewactivation` - - new value

    - #### setOpenOnEdit

          public void setOpenOnEdit(javax.el.ValueExpression __openOnEdit)

      The attribute opens the list once edit activated. Default value is "true". Setter for openOnEdit
      Parameters:
        `openOnEdit` - - new value

    - #### setRequired

          public void setRequired(javax.el.ValueExpression __required)

      If "true", this component is checked for non-empty input Setter for required
      Parameters:
        `required` - - new value

    - #### setRequiredMessage

          public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
      Parameters:
        `requiredMessage` - - new value

    - #### setSaveControlIcon

          public void setSaveControlIcon(javax.el.ValueExpression __saveControlIcon)

      Defines custom save icon Setter for saveControlIcon
      Parameters:
        `saveControlIcon` - - new value

    - #### setSelectWidth

          public void setSelectWidth(javax.el.ValueExpression __selectWidth)

      Sets width of the select element Setter for selectWidth
      Parameters:
        `selectWidth` - - new value

    - #### setShowControls

          public void setShowControls(javax.el.ValueExpression __showControls)

      The attribute serves to display "save" and "cancel" controls. Default value is "false". Setter for showControls
      Parameters:
        `showControls` - - new value

    - #### setShowValueInView

          public void setShowValueInView(javax.el.ValueExpression __showValueInView)

      If "true", shows the SelectItem labels in the InplaceSelect pull-down list, but displays the value in the field in view mode once an item is selected. Default value is "false" Setter for showValueInView
      Parameters:
        `showValueInView` - - new value

    - #### setTabindex

          public void setTabindex(javax.el.ValueExpression __tabindex)

      The attribute serves to define the tabbing order Setter for tabindex
      Parameters:
        `tabindex` - - new value

    - #### setValidator

          public void setValidator(javax.el.MethodExpression __validator)

      MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
      Parameters:
        `validator` - - new value

    - #### setValidatorMessage

          public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
      Parameters:
        `validatorMessage` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value of this component Setter for value
      Parameters:
        `value` - - new value

    - #### setValueChangeListener

          public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

      Listener for value changes Setter for valueChangeListener
      Parameters:
        `valueChangeListener` - - new value

    - #### setViewClass

          public void setViewClass(javax.el.ValueExpression __viewClass)

      Style class for view state Setter for viewClass
      Parameters:
        `viewClass` - - new value

    - #### setViewHoverClass

          public void setViewHoverClass(javax.el.ValueExpression __viewHoverClass)

      CSS style class for hovered text in view state Setter for viewHoverClass
      Parameters:
        `viewHoverClass` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.